from .llm import llm_response
from .prompt.exploration_gen import rlbench_exploration_gen_prompt , realworld_exploration_gen_prompt

def rlbench_exploration_gen_with_skill_save(domain_pddl, observation, skill_code, available_skills, object_list, feedback, exploration_knowledge):

    prompt = rlbench_exploration_gen_prompt(domain_pddl, observation, skill_code, available_skills, object_list, feedback, exploration_knowledge)
    response = llm_response("openai", prompt, check_time=True)

    print("Exploration code generation completed successfully.")

    return response

def realworld_code_gen_with_skill_save(domain_pddl, observation, skill_code, available_skills, object_list, feedback, exploration_knowledge):

    prompt = realworld_exploration_gen_prompt(domain_pddl, observation, skill_code, available_skills, object_list, feedback, exploration_knowledge)
    response = llm_response("openai", prompt, check_time=True)

    print("Exploration code generation completed successfully.")

    return response